---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "decort_kvmvm Data Source - decort"
subcategory: ""
description: |-
  
---

# decort_kvmvm (Data Source)





<!-- schema generated by tfplugindocs -->
## Schema

### Optional

- `compute_id` (Number) ID of the compute instance. If ID is specified, name and resource group ID are ignored.
- `name` (String) Name of this compute instance. NOTE: this parameter is case sensitive.
- `network` (Block Set, Max: 8) Network connection(s) for this compute. (see [below for nested schema](#nestedblock--network))
- `rg_id` (Number) ID of the resource group where this compute instance is located.
- `started` (Boolean) Is compute started.
- `timeouts` (Block, Optional) (see [below for nested schema](#nestedblock--timeouts))

### Read-Only

- `account_id` (Number) ID of the account this compute instance belongs to.
- `account_name` (String) Name of the account this compute instance belongs to.
- `boot_disk_id` (Number) This compute instance boot disk ID.
- `boot_disk_size` (Number) This compute instance boot disk size in GB.
- `cloud_init` (String) Placeholder for cloud_init parameters.
- `cpu` (Number) Number of CPUs allocated for this compute instance.
- `description` (String) User-defined text description of this compute instance.
- `driver` (String) Hardware architecture of this compute instance.
- `extra_disks` (Set of Number) IDs of the extra disk(s) attached to this compute.
- `id` (String) The ID of this resource.
- `image_id` (Number) ID of the OS image this compute instance is based on.
- `image_name` (String) Name of the OS image this compute instance is based on.
- `os_users` (List of Object) Guest OS users provisioned on this compute instance. (see [below for nested schema](#nestedatt--os_users))
- `ram` (Number) Amount of RAM in MB allocated for this compute instance.
- `rg_name` (String) Name of the resource group where this compute instance is located.

<a id="nestedblock--network"></a>
### Nested Schema for `network`

Required:

- `net_id` (Number) ID of the network for this connection.
- `net_type` (String) Type of the network for this connection, either EXTNET or VINS.

Optional:

- `ip_address` (String) Optional IP address to assign to this connection. This IP should belong to the selected network and free for use.

Read-Only:

- `mac` (String) MAC address associated with this connection. MAC address is assigned automatically.


<a id="nestedblock--timeouts"></a>
### Nested Schema for `timeouts`

Optional:

- `default` (String)
- `read` (String)


<a id="nestedatt--os_users"></a>
### Nested Schema for `os_users`

Read-Only:

- `guid` (String)
- `login` (String)
- `password` (String)
- `public_key` (String)


