---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "decort_bservice_group Resource - decort"
subcategory: ""
description: |-
  
---

# decort_bservice_group (Resource)





<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `comp_count` (Number) computes number. Defines how many computes must be there in the group
- `compgroup_name` (String) name of the Compute Group to add
- `cpu` (Number) compute CPU number. All computes in the group have the same CPU count
- `disk` (Number) compute boot disk size in GB
- `driver` (String) compute driver like a KVM_X86, KVM_PPC, etc.
- `image_id` (Number) OS image ID to create computes from
- `ram` (Number) compute RAM volume in MB. All computes in the group have the same RAM volume
- `service_id` (Number) ID of the Basic Service to add a group to

### Optional

- `compgroup_id` (Number)
- `extnets` (List of Number) list of external networks to connect computes to
- `force_stop` (Boolean) force stop Compute Group
- `force_update` (Boolean) force resize Compute Group
- `mode` (String) (RELATIVE;ABSOLUTE) either delta or absolute value of computes
- `parents` (List of Number)
- `remove_computes` (List of Number)
- `role` (String) group role tag. Can be empty string, does not have to be unique
- `start` (Boolean) Start the specified Compute Group within BasicService
- `timeout_start` (Number) time of Compute Group readiness
- `timeouts` (Block, Optional) (see [below for nested schema](#nestedblock--timeouts))
- `vinses` (List of Number) list of ViNSes to connect computes to

### Read-Only

- `account_id` (Number)
- `account_name` (String)
- `computes` (List of Object) (see [below for nested schema](#nestedatt--computes))
- `consistency` (Boolean)
- `created_by` (String)
- `created_time` (Number)
- `deleted_by` (String)
- `deleted_time` (Number)
- `gid` (Number)
- `guid` (Number)
- `id` (String) The ID of this resource.
- `milestones` (Number)
- `rg_id` (Number)
- `rg_name` (String)
- `sep_id` (Number)
- `seq_no` (Number)
- `status` (String)
- `tech_status` (String)
- `updated_by` (String)
- `updated_time` (Number)

<a id="nestedblock--timeouts"></a>
### Nested Schema for `timeouts`

Optional:

- `create` (String)
- `default` (String)
- `delete` (String)
- `read` (String)
- `update` (String)


<a id="nestedatt--computes"></a>
### Nested Schema for `computes`

Read-Only:

- `id` (Number)
- `ip_addresses` (List of String)
- `name` (String)
- `os_users` (List of Object) (see [below for nested schema](#nestedobjatt--computes--os_users))

<a id="nestedobjatt--computes--os_users"></a>
### Nested Schema for `computes.os_users`

Read-Only:

- `login` (String)
- `password` (String)


