/*
Пример использования
Ресурса cdrom image
Ресурс позволяет:
1. Создавать образ
2. Редактировать образ
3. Удалять образ

*/
#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      version = "1.1"
      source  = "digitalenergy.online/decort/decort"
    }
  }
}
*/

provider "decort" {
  authenticator = "oauth2"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

resource "decort_cdrom_image" "my_image" {
  #имя образа
  #обязательный параметр
  #тип - строка
  #при изменении - изменяет название созданного образа
  name = "test_image_rename"

  #адрес образа
  #обязательный параметр
  #тип - строка
  url = "https://colba.decs.online/index.php/s/G3H7AREngzeKGw2/download"

  #grid id образа
  #обязательный параметр
  #тип - число
  gid = 212

  #драйвера
  #обязательный параметр
  #тип - массив строк
  #возможные варианты - ["KVM_X86", "SVA_KVM_X86"], ["KVM_X86"], ["SVA_KVM_X86"]
  drivers = ["KVM_X86", "SVA_KVM_X86"]

  #id аккаунта владельца образа
  #опциональный параметр
  #может быть использован как при создании,
  #так и при редактировании образа
  #тип данных - число
  account_id = 57252

  #имя пользователя и пароль 
  #опциаональные параметры, 
  #могут быть использованы как при создании образа,
  #так и при его редактировании
  #тип - строка
  username = "Valera"
  password = "123"

  #имя пользователя и пароль для загрузки бинарных данных
  #опциаональные параметры, 
  #могут быть использованы как при создании образа,
  #так и при его редактировании
  #тип - строка
  #username_dl = "Valera1"
  #password_dl = "1231"

  #id storage endpoint
  #опциональный параметр, используется при создании
  #тип - число
  #sep_id = 1206

  #пул для создания образа
  #опциональный тип, используется при создании образа
  #тип - строка
  #pool_name = "vmstor"

  #архитектура системы образа
  #опциаональный параметр, используется при создании
  #тип - строка
  #доступные значения: "X86_64"
  architecture = "X86_64"

  #доступность образа
  #опциональный параметр, используется на уже созданном ресурсе
  #тип - булево значение
  #enabled = true

  #настройка доступа образа аккаунтам
  #опциональный параметр, используется на уже созданном ресурсе
  #тип - массив чисел
  #пустой маасив - удаление всех доступов, если они были
  #shared_with = [28096, 57121]

  #установка computeci
  #опциональный параметр, используется на уже созданном ресурсе
  #тип - число
  #чтобы сбросить, необходимо передать 0
  #computeci_id = 1

  #доступные стаки
  #опциональный параметр, используется на уже созданном ресурсе
  #тип - массив строк
  #для удаления всех доступных стаков, необходимо передать пустой массив
  #enabled_stacks = ["9"]

  #мгновенное удаление
  #опциональный параметр, можно использовать перед удалением
  #тип - булев тип
  #permanently = true

}

output "test" {
  value = decort_cdrom_image.my_image
}
